VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR:
[legend]

## Public Member Functions

| ImportFenceFdInfoKHR (Fence fence_=Fence(), FenceImportFlags flags_=FenceImportFlags(), ExternalFenceHandleTypeFlagBits handleType_=ExternalFenceHandleTypeFlagBits::eOpaqueFd, int fd_=0)
| ImportFenceFdInfoKHR (VkImportFenceFdInfoKHR const &rhs)
ImportFenceFdInfoKHR & | operator= (VkImportFenceFdInfoKHR const &rhs)
ImportFenceFdInfoKHR & | setPNext (const void *pNext_)
ImportFenceFdInfoKHR & | setFence (Fence fence_)
ImportFenceFdInfoKHR & | setFlags (FenceImportFlags flags_)
ImportFenceFdInfoKHR & | setHandleType (ExternalFenceHandleTypeFlagBits handleType_)
ImportFenceFdInfoKHR & | setFd (int fd_)
| operator VkImportFenceFdInfoKHR const & () const
| operator VkImportFenceFdInfoKHR & ()
bool | operator== (ImportFenceFdInfoKHR const &rhs) const
bool | operator!= (ImportFenceFdInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
Fence | fence
FenceImportFlags | flags
ExternalFenceHandleTypeFlagBits | handleType
int | fd

## Private Attributes

StructureType | sType = StructureType::eImportFenceFdInfoKHR

## Detailed Description

Definition at line 33497 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImportFenceFdInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::ImportFenceFdInfoKHR | ( | Fence | fence_ = `Fence()`,
|  | FenceImportFlags | flags_ = `FenceImportFlags()`,
|  | ExternalFenceHandleTypeFlagBits | handleType_ = `ExternalFenceHandleTypeFlagBits::eOpaqueFd`,
|  | int | fd_ = `0`
| ) |  |

inline

Definition at line 33499 of file vulkan.hpp.

: fence( fence_ )
, flags( flags_ )
, handleType( handleType_ )
, fd( fd_ )
{
}

## ImportFenceFdInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::ImportFenceFdInfoKHR | ( | VkImportFenceFdInfoKHR const & | rhs | ) |

inline

Definition at line 33510 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImportFenceFdInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkImportFenceFdInfoKHR &()

VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::operator VkImportFenceFdInfoKHR & | ( |  | ) |

inline

Definition at line 33555 of file vulkan.hpp.

{
return *reinterpret_cast<VkImportFenceFdInfoKHR*>(this);
}

## operator VkImportFenceFdInfoKHR const &()

VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::operator VkImportFenceFdInfoKHR const & | ( |  | ) | const

inline

Definition at line 33550 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImportFenceFdInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::operator!= | ( | ImportFenceFdInfoKHR const & | rhs | ) | const

inline

Definition at line 33570 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImportFenceFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::operator= | ( | VkImportFenceFdInfoKHR const & | rhs | ) |

inline

Definition at line 33515 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImportFenceFdInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::operator== | ( | ImportFenceFdInfoKHR const & | rhs | ) | const

inline

Definition at line 33560 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( fence == rhs.fence )
&& ( flags == rhs.flags )
&& ( handleType == rhs.handleType )
&& ( fd == rhs.fd );
}

References fd, fence, flags, handleType, pNext, and sType.

Referenced by operator!=().

## setFd()

ImportFenceFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::setFd | ( | int | fd_ | ) |

inline

Definition at line 33544 of file vulkan.hpp.

{
fd = fd_;
return *this;
}

## setFence()

ImportFenceFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::setFence | ( | Fence | fence_ | ) |

inline

Definition at line 33526 of file vulkan.hpp.

{
fence = fence_;
return *this;
}

References fence.

## setFlags()

ImportFenceFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::setFlags | ( | FenceImportFlags | flags_ | ) |

inline

Definition at line 33532 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setHandleType()

ImportFenceFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::setHandleType | ( | ExternalFenceHandleTypeFlagBits | handleType_ | ) |

inline

Definition at line 33538 of file vulkan.hpp.

{
handleType = handleType_;
return *this;
}

## setPNext()

ImportFenceFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 33520 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## fd

int VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::fd

Definition at line 33583 of file vulkan.hpp.

Referenced by operator==().

## fence

Fence VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::fence

Definition at line 33580 of file vulkan.hpp.

Referenced by operator==(), and setFence().

## flags

FenceImportFlags VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::flags

Definition at line 33581 of file vulkan.hpp.

Referenced by operator==().

## handleType

ExternalFenceHandleTypeFlagBits VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::handleType

Definition at line 33582 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::pNext = nullptr

Definition at line 33579 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::sType = StructureType::eImportFenceFdInfoKHR

private

Definition at line 33576 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:33576
VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::fence
Fence fence
Definition: vulkan.hpp:33580
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::handleType
ExternalFenceHandleTypeFlagBits handleType
Definition: vulkan.hpp:33582
VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::flags
FenceImportFlags flags
Definition: vulkan.hpp:33581
VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::fd
int fd
Definition: vulkan.hpp:33583
VkImportFenceFdInfoKHR
Definition: vulkan_core.h:5717
VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::operator==
bool operator==(ImportFenceFdInfoKHR const &rhs) const
Definition: vulkan.hpp:33560
VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::ImportFenceFdInfoKHR
ImportFenceFdInfoKHR(Fence fence_=Fence(), FenceImportFlags flags_=FenceImportFlags(), ExternalFenceHandleTypeFlagBits handleType_=ExternalFenceHandleTypeFlagBits::eOpaqueFd, int fd_=0)
Definition: vulkan.hpp:33499
fd
GLuint64 GLenum GLint fd
Definition: gl2ext.h:1508
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::ImportFenceFdInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:33579
handleType
GLuint64 GLenum handleType
Definition: gl2ext.h:1508